> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar recorrência de tarefa



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json patch /task/recurrence/{recurrenceId}
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /task/recurrence/{recurrenceId}:
    patch:
      tags:
        - Tasks
      summary: Atualizar recorrência de tarefa
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: recurrenceId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  minLength: 1
                priority:
                  type: string
                  minLength: 1
                columnId:
                  type: string
                  format: uuid
                initialDate:
                  type: string
                description: {}
                finalDateOffsetDays:
                  type: integer
                  minimum: 0
                initialHour:
                  type: string
                finalHour:
                  type: string
                responsiblesId:
                  type: array
                  items:
                    type: string
                    format: uuid
                  default: []
                tags:
                  type: array
                  items:
                    type: string
                    format: uuid
                  default: []
                points:
                  type: number
                isPrivate:
                  type: boolean
                ownerId:
                  type: string
                  format: uuid
                estimatedTimeMinutes:
                  type: integer
                  minimum: 0
                createSheet:
                  type: boolean
                subtasks:
                  type: array
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                        minLength: 1
                      description: {}
                      status:
                        type: string
                        minLength: 1
                      priority:
                        type: string
                        minLength: 1
                      initialDateOffsetDays:
                        type: integer
                        minimum: 0
                      finalDateOffsetDays:
                        type: integer
                        minimum: 0
                      responsiblesId:
                        type: array
                        items:
                          type: string
                          format: uuid
                      points:
                        type: number
                      createSheet:
                        type: boolean
                    required:
                      - title
                      - status
                      - priority
                    additionalProperties: false
                frequency:
                  type: string
                  enum:
                    - daily
                    - weekly
                    - monthly
                interval:
                  type: integer
                  minimum: 1
                  maximum: 365
                isActive:
                  type: boolean
              additionalProperties: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  sourceTaskId:
                    type: string
                    format: uuid
                    nullable: true
                  createdById:
                    type: string
                    format: uuid
                    nullable: true
                  frequency:
                    type: string
                    enum:
                      - daily
                      - weekly
                      - monthly
                  interval:
                    type: integer
                  anchorDate:
                    type: string
                  lastGeneratedDate:
                    type: string
                    nullable: true
                  isActive:
                    type: boolean
                  title:
                    type: string
                    nullable: true
                  nextTaskDate:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - sourceTaskId
                  - createdById
                  - frequency
                  - interval
                  - anchorDate
                  - lastGeneratedDate
                  - isActive
                  - title
                  - nextTaskDate
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````